Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231484 - Xorg doesn't detect video card in PCI scan
Summary: Xorg doesn't detect video card in PCI scan
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 17:15 UTC by jorilx
Modified: 2018-04-11 15:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 19:43:37 UTC


Attachments (Terms of Use)

Description jorilx 2007-03-08 17:15:58 UTC
Description of problem:
Starting with FC6 I can't get Xorg to detect my video card, which used to work
with FC4 and FC5. The card is an on-board ATI Radeon 7000/VE on a IBM xSeries
206, and by "detect" I mean it's not listed in the PCI scan of Xorg.0.log.

The actual error in the log is:
>(II) Primary Device is: ISA
>(II) ATI:  Candidate "Device" section "Videocard0".
>(EE) No devices detected.
>
>Fatal server error:
>no screens found


Output of lspci:
>00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller Hub (rev 02)
>00:03.0 PCI bridge: Intel Corporation 82875P/E7210 Processor to PCI to CSA
Bridge (rev 02)
>00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
>00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02)
>00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02)
>00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
>00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable Interrupt
Controller (rev 02)
>00:1d.7 USB Controller: Intel Corporation 6300ESB USB2 Enhanced Host Controller
(rev 02)
>00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a)
>00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
>00:1f.2 IDE interface: Intel Corporation 6300ESB SATA Storage Controller (rev 02)
>00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
>02:01.0 Ethernet controller: Intel Corporation 82547GI Gigabit Ethernet Controller
>04:02.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon
7000/VE]


PCI scan from Xorg.0.log:
>(II) PCI: PCI scan (all values are in hex)
>(II) PCI: 00:00:0: chip 8086,2578 card 1014,02ae rev 02 class 06,00,00 hdr 00
>(II) PCI: 00:03:0: chip 8086,257b card 0000,0000 rev 02 class 06,04,00 hdr 01
>(II) PCI: 00:06:0: chip 8086,257e card 0000,0000 rev 02 class 08,80,00 hdr 00
>(II) PCI: 00:1c:0: chip 8086,25ae card 0000,0000 rev 02 class 06,04,00 hdr 01
>(II) PCI: 00:1d:0: chip 8086,25a9 card 1014,02ad rev 02 class 0c,03,00 hdr 80
>(II) PCI: 00:1d:1: chip 8086,25aa card 1014,02ad rev 02 class 0c,03,00 hdr 00
>(II) PCI: 00:1d:4: chip 8086,25ab card 1014,02ad rev 02 class 08,80,00 hdr 00
>(II) PCI: 00:1d:5: chip 8086,25ac card 1014,02ad rev 02 class 08,00,20 hdr 00
>(II) PCI: 00:1d:7: chip 8086,25ad card 1014,02ad rev 02 class 0c,03,20 hdr 00
>(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 0a class 06,04,00 hdr 01
>(II) PCI: 00:1f:0: chip 8086,25a1 card 0000,0000 rev 02 class 06,01,00 hdr 80
>(II) PCI: 00:1f:1: chip 8086,25a2 card 1014,02ad rev 02 class 01,01,8a hdr 00
>(II) PCI: 00:1f:2: chip 8086,25b0 card 1014,02ad rev 02 class 01,04,8f hdr 00
>(II) PCI: 00:1f:3: chip 8086,25a4 card 1014,02ad rev 02 class 0c,05,00 hdr 00
>(II) PCI: 02:01:0: chip 8086,1075 card 1014,02ad rev 00 class 02,00,00 hdr 00
>(II) PCI: End of PCI scan


Version-Release number of selected component (if applicable):
I tried every FC6 kernel and every Xorg update.


Additional info:
I'm using the "ati" driver. The "fbdev" one works though.
I tried with an external video card (PCI ATI RageXL) but it's not detected either.

Comment 1 jorilx 2007-03-08 17:17:57 UTC
Forgot to mention: with Knoppix 5.1 and Ubuntu 6.10 (liveCDs, Xorg 7.1.1 on
both, kernel 2.6.19 on the first and 2.6.17 on the second) everything is ok.

Comment 2 Adam Jackson 2007-03-12 19:43:37 UTC
Yeah, kernel bug.  Should be fixed in kernel-2.6.20-1.2984.fc7 and later.

Comment 3 jorilx 2007-03-15 13:38:42 UTC
I see, thanks!
I'm sorry, any chance it will be fixed in FC6 also? Should I try building from
source?

Comment 4 jorilx 2007-03-19 10:06:34 UTC
Just checked 2.6.20-1.2925.fc6 and it works, thanks!


Note You need to log in before you can comment on or make changes to this bug.